services:
    watchtower:
        container_name: watchtower
        env_file:
            - .env
        image: containrrr/watchtower:latest
        logging:
            driver: json-file
            options:
                max-size: 50m
                max-file: "3"
        networks:
            traefik: null
        privileged: true
        restart: always
        volumes:
            - /var/run/docker.sock:/var/run/docker.sock

networks:
    traefik:
        name: traefik
        external: true